Skip to content

Transportial OTMS API (0.9.74)

Welcome to the Transportial API. It's the full API access for the OTMS Transportatial application. Every feature that is available (and more) in the UI is available here. It's our mission to facilitate open, fast, enterprise grade architecture for transportation.

Download OpenAPI description
Languages
Servers
Mock server
https://docs.transportial.com/_mock/apis
Test environment
https://test.api.otms.transportial.com/api
Production
https://api.otms.transportial.com/api

Calendar Events

Calendar occurrences for vehicles within a date range.

Operations

Tender

Tenders can be stacked and constrain different activities in their context

Operations

Widget

Widgets can be stacked and constrain different activities in their context

Operations

Vehicle

A Vehicle is a means to transport consignments from one location to potentially multiple other locations. There are various types of vehicles, each with their own unique properties like size, dimensions, fuel type and means of tranport (by air, on land, over sea).

Operations

Trip

A Trip is an aggregate entity that combines various entities to model visiting various locations, potentially doing one or multiple actions on each location, such as loading or unloading consignments. It is optionally coupled to a Vehicle that is/was driving this trip.

Operations

File

File management. Upload, retrieve and download files. Categorized by it's purpose.

Operations

CapacityContract

The CapacityContract is the entity to model a contract of a purchase of certain amount of scheduled capacity.

Operations

MessageTemplate

MessageTemplates can be stacked and constrain different activities in their context

Operations

Business

Business is a base entity that describes a companies information. Thiis entity is used for contracts, clients, invoices, quotes, etc. It can be any type of relation you do business with.

Operations

Verify business

Request

Verify a business on id

Security
bearer or apiKey or apiSecret
Path
idstringrequired
Headers
Authorizationstringrequired
curl -i -X GET \
  'https://docs.transportial.com/_mock/apis/business/{id}/unverify' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
successboolean
messagestring
codeinteger(int32)
businessobject(Business)
Response
application/json
{ "success": true, "message": "string", "code": 0, "business": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "name": "string", "relationType": "string", "alias": "string", "description": "string", "transportLicenseNumber": "string", "eori": "string", "scacCode": "string", "industry": {}, "website": "string", "coc": "string", "vat": "string", "invoiceAttentionTo": "string", "invoiceEmail": "string", "quoteAttentionTo": "string", "quoteEmail": "string", "verified": true, "documents": [], "logo": {}, "banners": [], "locations": [], "identification": [], "identifiers": [], "contactDetails": [], "contactPersons": [], "notes": [], "partOf": [], "administration": {}, "dataIsComplete": true, "pricingConfigurationCount": 0, "hasAgreedToPrice": true } }

Get businesses

Request

Get list of businesses

Security
bearer or apiKey or apiSecret
Path
offsetinteger(int64)required
amountinteger(int64)required
Headers
Authorizationstringrequired
curl -i -X GET \
  'https://docs.transportial.com/_mock/apis/businesses/{offset}/{amount}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
successboolean
messagestring
codeinteger(int32)
totalResultsinteger(int32)
businessesArray of objects(Business)
Response
application/json
{ "success": true, "message": "string", "code": 0, "totalResults": 0, "businesses": [ {} ] }

Get businesss

Request

Get list of businesss

Security
bearer or apiKey or apiSecret
Path
offsetinteger(int64)required
amountinteger(int64)required
Headers
Authorizationstringrequired
curl -i -X POST \
  'https://docs.transportial.com/_mock/apis/businesses/{offset}/{amount}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
successboolean
messagestring
codeinteger(int32)
totalResultsinteger(int32)
businessesArray of objects(Business)
Response
application/json
{ "success": true, "message": "string", "code": 0, "totalResults": 0, "businesses": [ {} ] }

Get business

Request

Get a business on id

Security
bearer or apiKey or apiSecret
Path
idstringrequired
Headers
Authorizationstringrequired
curl -i -X GET \
  'https://docs.transportial.com/_mock/apis/business/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
successboolean
messagestring
codeinteger(int32)
businessobject(Business)
Response
application/json
{ "success": true, "message": "string", "code": 0, "business": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "name": "string", "relationType": "string", "alias": "string", "description": "string", "transportLicenseNumber": "string", "eori": "string", "scacCode": "string", "industry": {}, "website": "string", "coc": "string", "vat": "string", "invoiceAttentionTo": "string", "invoiceEmail": "string", "quoteAttentionTo": "string", "quoteEmail": "string", "verified": true, "documents": [], "logo": {}, "banners": [], "locations": [], "identification": [], "identifiers": [], "contactDetails": [], "contactPersons": [], "notes": [], "partOf": [], "administration": {}, "dataIsComplete": true, "pricingConfigurationCount": 0, "hasAgreedToPrice": true } }

Delete business

Request

Delete a business

Security
bearer or apiKey or apiSecret
Path
idstringrequired
Headers
Authorizationstringrequired
curl -i -X DELETE \
  'https://docs.transportial.com/_mock/apis/business/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
successboolean
messagestring
codeinteger(int32)
businessobject(Business)
Response
application/json
{ "success": true, "message": "string", "code": 0, "business": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "name": "string", "relationType": "string", "alias": "string", "description": "string", "transportLicenseNumber": "string", "eori": "string", "scacCode": "string", "industry": {}, "website": "string", "coc": "string", "vat": "string", "invoiceAttentionTo": "string", "invoiceEmail": "string", "quoteAttentionTo": "string", "quoteEmail": "string", "verified": true, "documents": [], "logo": {}, "banners": [], "locations": [], "identification": [], "identifiers": [], "contactDetails": [], "contactPersons": [], "notes": [], "partOf": [], "administration": {}, "dataIsComplete": true, "pricingConfigurationCount": 0, "hasAgreedToPrice": true } }

Verify business

Request

Verify a business on id

Security
bearer or apiKey or apiSecret
Path
idstringrequired
Headers
Authorizationstringrequired
curl -i -X GET \
  'https://docs.transportial.com/_mock/apis/business/{id}/verify' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
successboolean
messagestring
codeinteger(int32)
businessobject(Business)
Response
application/json
{ "success": true, "message": "string", "code": 0, "business": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "name": "string", "relationType": "string", "alias": "string", "description": "string", "transportLicenseNumber": "string", "eori": "string", "scacCode": "string", "industry": {}, "website": "string", "coc": "string", "vat": "string", "invoiceAttentionTo": "string", "invoiceEmail": "string", "quoteAttentionTo": "string", "quoteEmail": "string", "verified": true, "documents": [], "logo": {}, "banners": [], "locations": [], "identification": [], "identifiers": [], "contactDetails": [], "contactPersons": [], "notes": [], "partOf": [], "administration": {}, "dataIsComplete": true, "pricingConfigurationCount": 0, "hasAgreedToPrice": true } }

Update business

Request

Update a business

Security
bearer or apiKey or apiSecret
Headers
Authorizationstringrequired
Bodyapplication/jsonrequired
noncestring

Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

uuidstringrequired
primaryPlatformIdstringrequired
languageobject

circular reference

namestring

The name of the business

relationTypestring
aliasstring

The alias name of the business

descriptionstring
transportLicenseNumberstring
eoristring
scacCodestring
industryobject(IndustryModel)
websitestring
cocstring
vatstring
invoiceAttentionTostring
invoiceEmailstring
quoteAttentionTostring
quoteEmailstring
verifiedboolean
documentsArray of objects(DocumentAssociation)
logoobject(File)
bannersArray of objects(FileModel)
locationsArray of objects(LocationModel)
identificationArray of objects(FileModel)
identifiersArray of objects(IdentifierModel)
contactDetailsArray of objects(ContactDetailModel)
contactPersonsArray of objects(ContactPersonModel)
notesArray of objects(NoteModel)
partOfArray of objects
administrationobject(AdministrationModel)
dataIsCompleteboolean
pricingConfigurationCountinteger(int32)
hasAgreedToPriceboolean
curl -i -X PUT \
  https://docs.transportial.com/_mock/apis/business \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "nonce": "string",
    "uuid": "string",
    "primaryPlatformId": "string",
    "language": {},
    "name": "string",
    "relationType": "string",
    "alias": "string",
    "description": "string",
    "transportLicenseNumber": "string",
    "eori": "string",
    "scacCode": "string",
    "industry": {
      "nonce": "string",
      "uuid": "string",
      "primaryPlatformId": "string",
      "language": {},
      "name": "string",
      "abbreviated": "string",
      "enabled": true
    },
    "website": "string",
    "coc": "string",
    "vat": "string",
    "invoiceAttentionTo": "string",
    "invoiceEmail": "string",
    "quoteAttentionTo": "string",
    "quoteEmail": "string",
    "verified": true,
    "documents": [
      {
        "associationType": "inline",
        "entity": {
          "nonce": "string",
          "description": "string",
          "expiresAt": "2019-08-24T14:15:22Z",
          "fileName": "string",
          "mimeType": "string",
          "encoding": "string",
          "verified": true,
          "isPublic": true,
          "owner": {
            "associationType": "inline"
          },
          "content": {
            "contentType": "data",
            "data": "string"
          },
          "file": {
            "nonce": "string",
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string"
          },
          "identifiers": [
            {
              "nonce": "string",
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ],
          "externalAttributes": {
            "property1": {},
            "property2": {}
          },
          "name": "string"
        }
      }
    ],
    "logo": {
      "nonce": "string",
      "url": "string",
      "path": "string",
      "name": "string",
      "originalName": "string",
      "size": 0,
      "purpose": "string",
      "type": "IMAGE",
      "mimeType": "string",
      "extension": "string",
      "identifiers": [
        {
          "nonce": "string",
          "name": "string",
          "system": "string",
          "value": "string",
          "expiredAt": "2019-08-24T14:15:22Z"
        }
      ],
      "bucket": {
        "nonce": "string",
        "name": "string"
      },
      "uploadedAt": "2019-08-24T14:15:22Z",
      "tempFile": "string"
    },
    "banners": [
      {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "url": "string",
        "path": "string",
        "name": "string",
        "originalName": "string",
        "size": 0,
        "purpose": "string",
        "type": "IMAGE",
        "mimeType": "string",
        "extension": "string",
        "identifiers": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string",
            "system": "string",
            "value": "string",
            "expiredAt": "2019-08-24T14:15:22Z"
          }
        ],
        "bucket": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string"
        },
        "uploadedAt": "2019-08-24T14:15:22Z",
        "tempFile": "string",
        "contentMatrix": [
          [
            "string"
          ]
        ]
      }
    ],
    "locations": [
      {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "type": "warehouse",
        "name": "string",
        "unCode": "string",
        "geoReference": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "type": "addressGeoReference",
          "name": "string",
          "street": "string",
          "houseNumber": "string",
          "houseNumberAddition": "string",
          "postalCode": "string",
          "city": "string",
          "country": "string",
          "hash": "string"
        },
        "administrativeReference": {
          "name": "string",
          "street": "string",
          "houseNumber": "string",
          "houseNumberAddition": "string",
          "postalCode": "string",
          "city": "string",
          "country": "string"
        },
        "contactDetails": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "iban",
            "value": "string",
            "remarks": "string"
          }
        ],
        "openingTimes": {
          "monday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "tuesday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "wednesday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "thursday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "friday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "saturday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "sunday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          }
        },
        "terminal": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "integrationType": "portbase",
          "ean": "string",
          "bicsCode": "string",
          "quayName": "string",
          "smdgCode": "string",
          "locations": [
            {}
          ],
          "allowedModalities": [
            "string"
          ],
          "terminalSettings": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "loading": true,
              "full": true,
              "modality": "string",
              "sealNumberAllowed": true,
              "reeferAllowed": true,
              "grossWeightAllowed": true,
              "outOfGaugeAllowed": true,
              "dangerousGoodsAllowed": true,
              "cargoCutOffInMinutes": 0
            }
          ],
          "tarRequired": true,
          "roadLicenseIdRequired": true
        },
        "actions": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "load",
            "groupId": "string",
            "name": "string",
            "externalAttributes": {
              "property1": {},
              "property2": {}
            },
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "lifeCycle": "requested",
            "result": {
              "status": "succeeded",
              "remark": "string",
              "reason": "string",
              "results": [
                {
                  "property1": {},
                  "property2": {}
                }
              ],
              "answers": {
                "property1": {},
                "property2": {}
              },
              "attachments": [
                {}
              ]
            },
            "remark": "string",
            "sequenceNr": 0,
            "tripSequenceNr": 0,
            "location": {
              "associationType": "inline",
              "entity": {},
              "description": "string"
            },
            "startTime": "2019-08-24T14:15:22Z",
            "endTime": "2019-08-24T14:15:22Z",
            "eta": "2019-08-24T14:15:22Z",
            "etd": "2019-08-24T14:15:22Z",
            "timeFormat": "string",
            "recurrence": "string",
            "duration": 0,
            "estimatedDuration": 0,
            "inTripOnly": true,
            "actions": [
              {
                "associationType": "inline",
                "entity": {
                  "externalAttributes": {},
                  "actions": [],
                  "documents": [],
                  "contextEvents": [],
                  "attributes": [],
                  "timeslotBookings": [],
                  "identifiers": [],
                  "constraints": [],
                  "communicationRequests": [],
                  "stop": {}
                },
                "description": "string"
              }
            ],
            "communicationRequests": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "description": "string",
                "status": "pending",
                "responseMessage": "string",
                "responseValue": "string"
              }
            ],
            "documents": [
              {
                "associationType": "inline"
              }
            ],
            "contextEvents": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "generalEvent",
                "lifeCycle": "requested",
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "identifiers": [
                  null
                ],
                "dateTime": "2019-08-24T14:15:22Z",
                "vehicle": {},
                "transportEquipment": {},
                "stopAction": {},
                "geoReference": {
                  "language": {}
                }
              }
            ],
            "attributes": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "color": "string"
              }
            ],
            "versionNumber": 0,
            "constraints": [
              {
                "associationType": "inline",
                "entity": {},
                "description": "string"
              }
            ],
            "consignment": {
              "associationType": "inline",
              "entity": {
                "nonce": "string",
                "versionNumber": 0,
                "hasAgreedToPrice": true,
                "orderType": "standard",
                "name": "string",
                "consignmentNr": "string",
                "description": "string",
                "status": "draft",
                "highValueGoods": true,
                "goods": [
                  null
                ],
                "team": {
                  "emailIntegration": {},
                  "vehicleGroups": [],
                  "fleets": [],
                  "features": [],
                  "managers": [],
                  "users": []
                },
                "consignment": {},
                "currentLocation": {},
                "nextAction": {},
                "lastAction": {},
                "lastPlannedAction": {},
                "isPlannedToLastLocation": true,
                "documents": [
                  null
                ],
                "actors": [
                  null
                ],
                "actions": [
                  null
                ],
                "pricingElements": [
                  null
                ],
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "expectedRevenue": {
                  "moneyBuildBlocks": []
                },
                "expectedCost": {
                  "moneyBuildBlocks": []
                },
                "combined": true,
                "type": "string",
                "remark": "string",
                "constraints": [
                  null
                ],
                "identifiers": [
                  null
                ],
                "attributes": [
                  null
                ]
              }
            },
            "isContainmentAction": true,
            "vehicle": {
              "associationType": "inline"
            },
            "transportEquipment": {
              "associationType": "inline"
            },
            "stop": {
              "associationType": "inline",
              "entity": {
                "nonce": "string",
                "versionNumber": 0,
                "type": "load",
                "name": "string",
                "groupId": "string",
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "lifeCycle": "requested",
                "result": {
                  "results": [],
                  "answers": {},
                  "attachments": []
                },
                "remark": "string",
                "sequenceNr": 0,
                "tripSequenceNr": 0,
                "location": {
                  "entity": {}
                },
                "startTime": "2019-08-24T14:15:22Z",
                "endTime": "2019-08-24T14:15:22Z",
                "eta": "2019-08-24T14:15:22Z",
                "etd": "2019-08-24T14:15:22Z",
                "timeFormat": "string",
                "recurrence": "string",
                "duration": 0,
                "estimatedDuration": 0,
                "inTripOnly": true,
                "actions": [
                  {}
                ],
                "documents": [
                  null
                ],
                "contextEvents": [
                  null
                ],
                "attributes": [
                  null
                ],
                "timeslotBookings": [
                  null
                ],
                "identifiers": [
                  null
                ],
                "constraints": [
                  null
                ],
                "communicationRequests": [
                  null
                ],
                "consignment": {},
                "isContainmentAction": true,
                "vehicle": {},
                "transportEquipment": {},
                "stop": {},
                "pin": "string",
                "tar": "string",
                "shipmentLine": {},
                "containmentUUID": "string"
              },
              "description": "string"
            },
            "pin": "string",
            "tar": "string",
            "shipmentLine": {
              "scacCode": "string",
              "smdgCode": "string"
            },
            "containmentUUID": "string"
          }
        ],
        "constraints": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "accessConstraint",
            "name": "string",
            "enforceability": "enforced",
            "description": "string"
          }
        ],
        "pricingElements": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "sequenceNr": 0,
            "quantity": 0,
            "name": "string",
            "description": "string",
            "category": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "creditCode": "string",
              "debitCode": "string",
              "defaultValue": 0.1,
              "enabled": true,
              "tripRevenue": true
            },
            "business": {}
          }
        ],
        "remark": "string",
        "hash": "string",
        "identifiers": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string",
            "system": "string",
            "value": "string",
            "expiredAt": "2019-08-24T14:15:22Z"
          }
        ],
        "externalAttributes": {
          "property1": {},
          "property2": {}
        },
        "dataIsComplete": true
      }
    ],
    "identification": [
      {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "url": "string",
        "path": "string",
        "name": "string",
        "originalName": "string",
        "size": 0,
        "purpose": "string",
        "type": "IMAGE",
        "mimeType": "string",
        "extension": "string",
        "identifiers": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string",
            "system": "string",
            "value": "string",
            "expiredAt": "2019-08-24T14:15:22Z"
          }
        ],
        "bucket": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string"
        },
        "uploadedAt": "2019-08-24T14:15:22Z",
        "tempFile": "string",
        "contentMatrix": [
          [
            "string"
          ]
        ]
      }
    ],
    "identifiers": [
      {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "name": "string",
        "system": "string",
        "value": "string",
        "expiredAt": "2019-08-24T14:15:22Z"
      }
    ],
    "contactDetails": [
      {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "type": "iban",
        "value": "string",
        "remarks": "string"
      }
    ],
    "contactPersons": [
      {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "firstName": "string",
        "lastName": "string",
        "position": "string",
        "email": "string",
        "phone": "string",
        "mobilePhone": "string"
      }
    ],
    "notes": [
      {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "author": {},
        "name": "string",
        "text": "string"
      }
    ],
    "partOf": [
      {}
    ],
    "administration": {
      "nonce": "string",
      "uuid": "string",
      "primaryPlatformId": "string",
      "language": {},
      "platforms": [
        {}
      ],
      "name": "string",
      "primary": true,
      "transportOrderPrefix": "string",
      "consignmentPrefix": "string",
      "business": {},
      "currency": {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "name": "string",
        "short": "string",
        "sign": "string",
        "decimalDelimiter": "string",
        "thousandDelimiter": "string",
        "enabled": true
      },
      "bankAccounts": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "accountHolderName": "string",
          "accountHolderType": "string",
          "bankName": "string",
          "routingNumber": "string",
          "accountNumber": "string",
          "last4": "string",
          "currency": {
            "nonce": "string",
            "name": "string",
            "short": "string",
            "sign": "string",
            "decimalDelimiter": "string",
            "thousandDelimiter": "string",
            "enabled": true
          },
          "country": "string",
          "validation": {},
          "validated": true,
          "identifiers": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ]
        }
      ],
      "numberFormat": "string",
      "numberLength": 0,
      "dueDays": 0,
      "invoiceNumberIndex": {
        "property1": 0,
        "property2": 0
      },
      "quoteNumberIndex": {
        "property1": 0,
        "property2": 0
      },
      "invoiceSendMessageAutomation": {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "type": "messageAutomation",
        "name": "string",
        "description": "string",
        "automationConfig": {
          "triggerType": "trigger",
          "triggerEvent": "afterCreatingTrip",
          "schedule": {
            "integrationSchedulerScheduleValue": 0,
            "integrationSchedulerScheduleType": "seconds",
            "milliseconds": 0
          },
          "uniqueIdentifierSelector": "string",
          "uniqueIdentifierSchedule": {
            "integrationSchedulerScheduleValue": 0,
            "integrationSchedulerScheduleType": "seconds",
            "milliseconds": 0
          },
          "filters": [
            {
              "selector": "string",
              "comparisonType": "equal",
              "value": "string",
              "linkType": "and",
              "filters": [
                {}
              ],
              "sequenceNr": 0,
              "valueSelector": "string"
            }
          ],
          "query": {
            "nonce": "string",
            "fields": [
              {
                "name": "string",
                "groupByAggregate": "count"
              }
            ],
            "entityType": "action",
            "joins": [
              {
                "type": "inner_join",
                "entityType": "action",
                "onLeft": {},
                "onRight": {}
              }
            ],
            "filters": [
              {
                "nonce": "string",
                "sequenceNr": 0,
                "field": "string",
                "comparisonOperations": "equal",
                "value": "string",
                "valueType": "constant",
                "linkType": "and"
              }
            ],
            "groupBy": [
              {
                "name": "string",
                "groupByAggregate": "count"
              }
            ],
            "having": {
              "name": "string",
              "groupByAggregate": "count"
            },
            "sortFields": [
              {
                "name": "string",
                "groupByAggregate": "count"
              }
            ],
            "sortDirection": "asc",
            "limit": 0,
            "offset": 0
          },
          "recipients": [
            "string"
          ],
          "recipientSelector": "string",
          "toggleForAll": true,
          "channel": "email",
          "manualIntegration": {},
          "includeAttachments": true,
          "documentAttachments": [
            {
              "documentSourceType": "ENTITY_PDF",
              "documentType": "cmr",
              "documentTemplateId": "string",
              "fileUrl": "string",
              "insightType": "string",
              "reportParameters": {
                "property1": "string",
                "property2": "string"
              },
              "entityIdSelector": "string",
              "fileNameTemplate": "string"
            }
          ],
          "subject": "string",
          "currentTriggerPosition": 0,
          "localizedTexts": [
            {
              "language": {
                "nonce": "string",
                "name": "string",
                "localName": "string",
                "code": "string",
                "iso3166": "string",
                "decimalDelimiter": "string",
                "thousandDelimiter": "string",
                "dateFormat": "string",
                "measurementUnit": "metric"
              },
              "content": "string",
              "messageTemplate": "string",
              "subject": "string"
            }
          ],
          "defaultLanguageId": "string",
          "languageSelector": "string",
          "userEnableable": true,
          "userPermissionFilters": [
            {
              "selector": "string",
              "comparisonType": "equal",
              "value": "string",
              "linkType": "and",
              "filters": [
                {}
              ],
              "sequenceNr": 0,
              "valueSelector": "string"
            }
          ]
        },
        "messageAutomationIntegration": {},
        "enabled": true,
        "lastHandled": "2019-08-24T14:15:22Z",
        "template": true,
        "templateCategory": "string"
      },
      "automaticallySendReminders": true,
      "invoiceFirstReminderMessageAutomation": {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "type": "messageAutomation",
        "name": "string",
        "description": "string",
        "automationConfig": {
          "triggerType": "trigger",
          "triggerEvent": "afterCreatingTrip",
          "schedule": {
            "integrationSchedulerScheduleValue": 0,
            "integrationSchedulerScheduleType": "seconds",
            "milliseconds": 0
          },
          "uniqueIdentifierSelector": "string",
          "uniqueIdentifierSchedule": {
            "integrationSchedulerScheduleValue": 0,
            "integrationSchedulerScheduleType": "seconds",
            "milliseconds": 0
          },
          "filters": [
            {
              "selector": "string",
              "comparisonType": "equal",
              "value": "string",
              "linkType": "and",
              "filters": [
                {}
              ],
              "sequenceNr": 0,
              "valueSelector": "string"
            }
          ],
          "query": {
            "nonce": "string",
            "fields": [
              {
                "name": "string",
                "groupByAggregate": "count"
              }
            ],
            "entityType": "action",
            "joins": [
              {
                "type": "inner_join",
                "entityType": "action",
                "onLeft": {},
                "onRight": {}
              }
            ],
            "filters": [
              {
                "nonce": "string",
                "sequenceNr": 0,
                "field": "string",
                "comparisonOperations": "equal",
                "value": "string",
                "valueType": "constant",
                "linkType": "and"
              }
            ],
            "groupBy": [
              {
                "name": "string",
                "groupByAggregate": "count"
              }
            ],
            "having": {
              "name": "string",
              "groupByAggregate": "count"
            },
            "sortFields": [
              {
                "name": "string",
                "groupByAggregate": "count"
              }
            ],
            "sortDirection": "asc",
            "limit": 0,
            "offset": 0
          },
          "recipients": [
            "string"
          ],
          "recipientSelector": "string",
          "toggleForAll": true,
          "channel": "email",
          "manualIntegration": {},
          "includeAttachments": true,
          "documentAttachments": [
            {
              "documentSourceType": "ENTITY_PDF",
              "documentType": "cmr",
              "documentTemplateId": "string",
              "fileUrl": "string",
              "insightType": "string",
              "reportParameters": {
                "property1": "string",
                "property2": "string"
              },
              "entityIdSelector": "string",
              "fileNameTemplate": "string"
            }
          ],
          "subject": "string",
          "currentTriggerPosition": 0,
          "localizedTexts": [
            {
              "language": {
                "nonce": "string",
                "name": "string",
                "localName": "string",
                "code": "string",
                "iso3166": "string",
                "decimalDelimiter": "string",
                "thousandDelimiter": "string",
                "dateFormat": "string",
                "measurementUnit": "metric"
              },
              "content": "string",
              "messageTemplate": "string",
              "subject": "string"
            }
          ],
          "defaultLanguageId": "string",
          "languageSelector": "string",
          "userEnableable": true,
          "userPermissionFilters": [
            {
              "selector": "string",
              "comparisonType": "equal",
              "value": "string",
              "linkType": "and",
              "filters": [
                {}
              ],
              "sequenceNr": 0,
              "valueSelector": "string"
            }
          ]
        },
        "messageAutomationIntegration": {},
        "enabled": true,
        "lastHandled": "2019-08-24T14:15:22Z",
        "template": true,
        "templateCategory": "string"
      },
      "invoiceSecondReminderMessageAutomation": {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "type": "messageAutomation",
        "name": "string",
        "description": "string",
        "automationConfig": {
          "triggerType": "trigger",
          "triggerEvent": "afterCreatingTrip",
          "schedule": {
            "integrationSchedulerScheduleValue": 0,
            "integrationSchedulerScheduleType": "seconds",
            "milliseconds": 0
          },
          "uniqueIdentifierSelector": "string",
          "uniqueIdentifierSchedule": {
            "integrationSchedulerScheduleValue": 0,
            "integrationSchedulerScheduleType": "seconds",
            "milliseconds": 0
          },
          "filters": [
            {
              "selector": "string",
              "comparisonType": "equal",
              "value": "string",
              "linkType": "and",
              "filters": [
                {}
              ],
              "sequenceNr": 0,
              "valueSelector": "string"
            }
          ],
          "query": {
            "nonce": "string",
            "fields": [
              {
                "name": "string",
                "groupByAggregate": "count"
              }
            ],
            "entityType": "action",
            "joins": [
              {
                "type": "inner_join",
                "entityType": "action",
                "onLeft": {},
                "onRight": {}
              }
            ],
            "filters": [
              {
                "nonce": "string",
                "sequenceNr": 0,
                "field": "string",
                "comparisonOperations": "equal",
                "value": "string",
                "valueType": "constant",
                "linkType": "and"
              }
            ],
            "groupBy": [
              {
                "name": "string",
                "groupByAggregate": "count"
              }
            ],
            "having": {
              "name": "string",
              "groupByAggregate": "count"
            },
            "sortFields": [
              {
                "name": "string",
                "groupByAggregate": "count"
              }
            ],
            "sortDirection": "asc",
            "limit": 0,
            "offset": 0
          },
          "recipients": [
            "string"
          ],
          "recipientSelector": "string",
          "toggleForAll": true,
          "channel": "email",
          "manualIntegration": {},
          "includeAttachments": true,
          "documentAttachments": [
            {
              "documentSourceType": "ENTITY_PDF",
              "documentType": "cmr",
              "documentTemplateId": "string",
              "fileUrl": "string",
              "insightType": "string",
              "reportParameters": {
                "property1": "string",
                "property2": "string"
              },
              "entityIdSelector": "string",
              "fileNameTemplate": "string"
            }
          ],
          "subject": "string",
          "currentTriggerPosition": 0,
          "localizedTexts": [
            {
              "language": {
                "nonce": "string",
                "name": "string",
                "localName": "string",
                "code": "string",
                "iso3166": "string",
                "decimalDelimiter": "string",
                "thousandDelimiter": "string",
                "dateFormat": "string",
                "measurementUnit": "metric"
              },
              "content": "string",
              "messageTemplate": "string",
              "subject": "string"
            }
          ],
          "defaultLanguageId": "string",
          "languageSelector": "string",
          "userEnableable": true,
          "userPermissionFilters": [
            {
              "selector": "string",
              "comparisonType": "equal",
              "value": "string",
              "linkType": "and",
              "filters": [
                {}
              ],
              "sequenceNr": 0,
              "valueSelector": "string"
            }
          ]
        },
        "messageAutomationIntegration": {},
        "enabled": true,
        "lastHandled": "2019-08-24T14:15:22Z",
        "template": true,
        "templateCategory": "string"
      },
      "invoiceThirdReminderMessageAutomation": {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "type": "messageAutomation",
        "name": "string",
        "description": "string",
        "automationConfig": {
          "triggerType": "trigger",
          "triggerEvent": "afterCreatingTrip",
          "schedule": {
            "integrationSchedulerScheduleValue": 0,
            "integrationSchedulerScheduleType": "seconds",
            "milliseconds": 0
          },
          "uniqueIdentifierSelector": "string",
          "uniqueIdentifierSchedule": {
            "integrationSchedulerScheduleValue": 0,
            "integrationSchedulerScheduleType": "seconds",
            "milliseconds": 0
          },
          "filters": [
            {
              "selector": "string",
              "comparisonType": "equal",
              "value": "string",
              "linkType": "and",
              "filters": [
                {}
              ],
              "sequenceNr": 0,
              "valueSelector": "string"
            }
          ],
          "query": {
            "nonce": "string",
            "fields": [
              {
                "name": "string",
                "groupByAggregate": "count"
              }
            ],
            "entityType": "action",
            "joins": [
              {
                "type": "inner_join",
                "entityType": "action",
                "onLeft": {},
                "onRight": {}
              }
            ],
            "filters": [
              {
                "nonce": "string",
                "sequenceNr": 0,
                "field": "string",
                "comparisonOperations": "equal",
                "value": "string",
                "valueType": "constant",
                "linkType": "and"
              }
            ],
            "groupBy": [
              {
                "name": "string",
                "groupByAggregate": "count"
              }
            ],
            "having": {
              "name": "string",
              "groupByAggregate": "count"
            },
            "sortFields": [
              {
                "name": "string",
                "groupByAggregate": "count"
              }
            ],
            "sortDirection": "asc",
            "limit": 0,
            "offset": 0
          },
          "recipients": [
            "string"
          ],
          "recipientSelector": "string",
          "toggleForAll": true,
          "channel": "email",
          "manualIntegration": {},
          "includeAttachments": true,
          "documentAttachments": [
            {
              "documentSourceType": "ENTITY_PDF",
              "documentType": "cmr",
              "documentTemplateId": "string",
              "fileUrl": "string",
              "insightType": "string",
              "reportParameters": {
                "property1": "string",
                "property2": "string"
              },
              "entityIdSelector": "string",
              "fileNameTemplate": "string"
            }
          ],
          "subject": "string",
          "currentTriggerPosition": 0,
          "localizedTexts": [
            {
              "language": {
                "nonce": "string",
                "name": "string",
                "localName": "string",
                "code": "string",
                "iso3166": "string",
                "decimalDelimiter": "string",
                "thousandDelimiter": "string",
                "dateFormat": "string",
                "measurementUnit": "metric"
              },
              "content": "string",
              "messageTemplate": "string",
              "subject": "string"
            }
          ],
          "defaultLanguageId": "string",
          "languageSelector": "string",
          "userEnableable": true,
          "userPermissionFilters": [
            {
              "selector": "string",
              "comparisonType": "equal",
              "value": "string",
              "linkType": "and",
              "filters": [
                {}
              ],
              "sequenceNr": 0,
              "valueSelector": "string"
            }
          ]
        },
        "messageAutomationIntegration": {},
        "enabled": true,
        "lastHandled": "2019-08-24T14:15:22Z",
        "template": true,
        "templateCategory": "string"
      },
      "invoicePaidMessageAutomation": {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "type": "messageAutomation",
        "name": "string",
        "description": "string",
        "automationConfig": {
          "triggerType": "trigger",
          "triggerEvent": "afterCreatingTrip",
          "schedule": {
            "integrationSchedulerScheduleValue": 0,
            "integrationSchedulerScheduleType": "seconds",
            "milliseconds": 0
          },
          "uniqueIdentifierSelector": "string",
          "uniqueIdentifierSchedule": {
            "integrationSchedulerScheduleValue": 0,
            "integrationSchedulerScheduleType": "seconds",
            "milliseconds": 0
          },
          "filters": [
            {
              "selector": "string",
              "comparisonType": "equal",
              "value": "string",
              "linkType": "and",
              "filters": [
                {}
              ],
              "sequenceNr": 0,
              "valueSelector": "string"
            }
          ],
          "query": {
            "nonce": "string",
            "fields": [
              {
                "name": "string",
                "groupByAggregate": "count"
              }
            ],
            "entityType": "action",
            "joins": [
              {
                "type": "inner_join",
                "entityType": "action",
                "onLeft": {},
                "onRight": {}
              }
            ],
            "filters": [
              {
                "nonce": "string",
                "sequenceNr": 0,
                "field": "string",
                "comparisonOperations": "equal",
                "value": "string",
                "valueType": "constant",
                "linkType": "and"
              }
            ],
            "groupBy": [
              {
                "name": "string",
                "groupByAggregate": "count"
              }
            ],
            "having": {
              "name": "string",
              "groupByAggregate": "count"
            },
            "sortFields": [
              {
                "name": "string",
                "groupByAggregate": "count"
              }
            ],
            "sortDirection": "asc",
            "limit": 0,
            "offset": 0
          },
          "recipients": [
            "string"
          ],
          "recipientSelector": "string",
          "toggleForAll": true,
          "channel": "email",
          "manualIntegration": {},
          "includeAttachments": true,
          "documentAttachments": [
            {
              "documentSourceType": "ENTITY_PDF",
              "documentType": "cmr",
              "documentTemplateId": "string",
              "fileUrl": "string",
              "insightType": "string",
              "reportParameters": {
                "property1": "string",
                "property2": "string"
              },
              "entityIdSelector": "string",
              "fileNameTemplate": "string"
            }
          ],
          "subject": "string",
          "currentTriggerPosition": 0,
          "localizedTexts": [
            {
              "language": {
                "nonce": "string",
                "name": "string",
                "localName": "string",
                "code": "string",
                "iso3166": "string",
                "decimalDelimiter": "string",
                "thousandDelimiter": "string",
                "dateFormat": "string",
                "measurementUnit": "metric"
              },
              "content": "string",
              "messageTemplate": "string",
              "subject": "string"
            }
          ],
          "defaultLanguageId": "string",
          "languageSelector": "string",
          "userEnableable": true,
          "userPermissionFilters": [
            {
              "selector": "string",
              "comparisonType": "equal",
              "value": "string",
              "linkType": "and",
              "filters": [
                {}
              ],
              "sequenceNr": 0,
              "valueSelector": "string"
            }
          ]
        },
        "messageAutomationIntegration": {},
        "enabled": true,
        "lastHandled": "2019-08-24T14:15:22Z",
        "template": true,
        "templateCategory": "string"
      },
      "quoteSendMessageAutomation": {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "type": "messageAutomation",
        "name": "string",
        "description": "string",
        "automationConfig": {
          "triggerType": "trigger",
          "triggerEvent": "afterCreatingTrip",
          "schedule": {
            "integrationSchedulerScheduleValue": 0,
            "integrationSchedulerScheduleType": "seconds",
            "milliseconds": 0
          },
          "uniqueIdentifierSelector": "string",
          "uniqueIdentifierSchedule": {
            "integrationSchedulerScheduleValue": 0,
            "integrationSchedulerScheduleType": "seconds",
            "milliseconds": 0
          },
          "filters": [
            {
              "selector": "string",
              "comparisonType": "equal",
              "value": "string",
              "linkType": "and",
              "filters": [
                {}
              ],
              "sequenceNr": 0,
              "valueSelector": "string"
            }
          ],
          "query": {
            "nonce": "string",
            "fields": [
              {
                "name": "string",
                "groupByAggregate": "count"
              }
            ],
            "entityType": "action",
            "joins": [
              {
                "type": "inner_join",
                "entityType": "action",
                "onLeft": {},
                "onRight": {}
              }
            ],
            "filters": [
              {
                "nonce": "string",
                "sequenceNr": 0,
                "field": "string",
                "comparisonOperations": "equal",
                "value": "string",
                "valueType": "constant",
                "linkType": "and"
              }
            ],
            "groupBy": [
              {
                "name": "string",
                "groupByAggregate": "count"
              }
            ],
            "having": {
              "name": "string",
              "groupByAggregate": "count"
            },
            "sortFields": [
              {
                "name": "string",
                "groupByAggregate": "count"
              }
            ],
            "sortDirection": "asc",
            "limit": 0,
            "offset": 0
          },
          "recipients": [
            "string"
          ],
          "recipientSelector": "string",
          "toggleForAll": true,
          "channel": "email",
          "manualIntegration": {},
          "includeAttachments": true,
          "documentAttachments": [
            {
              "documentSourceType": "ENTITY_PDF",
              "documentType": "cmr",
              "documentTemplateId": "string",
              "fileUrl": "string",
              "insightType": "string",
              "reportParameters": {
                "property1": "string",
                "property2": "string"
              },
              "entityIdSelector": "string",
              "fileNameTemplate": "string"
            }
          ],
          "subject": "string",
          "currentTriggerPosition": 0,
          "localizedTexts": [
            {
              "language": {
                "nonce": "string",
                "name": "string",
                "localName": "string",
                "code": "string",
                "iso3166": "string",
                "decimalDelimiter": "string",
                "thousandDelimiter": "string",
                "dateFormat": "string",
                "measurementUnit": "metric"
              },
              "content": "string",
              "messageTemplate": "string",
              "subject": "string"
            }
          ],
          "defaultLanguageId": "string",
          "languageSelector": "string",
          "userEnableable": true,
          "userPermissionFilters": [
            {
              "selector": "string",
              "comparisonType": "equal",
              "value": "string",
              "linkType": "and",
              "filters": [
                {}
              ],
              "sequenceNr": 0,
              "valueSelector": "string"
            }
          ]
        },
        "messageAutomationIntegration": {},
        "enabled": true,
        "lastHandled": "2019-08-24T14:15:22Z",
        "template": true,
        "templateCategory": "string"
      },
      "invoiceTermsAndConditions": [
        {
          "language": {
            "nonce": "string",
            "name": "string",
            "localName": "string",
            "code": "string",
            "iso3166": "string",
            "decimalDelimiter": "string",
            "thousandDelimiter": "string",
            "dateFormat": "string",
            "measurementUnit": "metric"
          },
          "text": "string"
        }
      ],
      "quoteTermsAndConditions": [
        {
          "language": {
            "nonce": "string",
            "name": "string",
            "localName": "string",
            "code": "string",
            "iso3166": "string",
            "decimalDelimiter": "string",
            "thousandDelimiter": "string",
            "dateFormat": "string",
            "measurementUnit": "metric"
          },
          "text": "string"
        }
      ],
      "transportOrderTermsAndConditions": [
        {
          "language": {
            "nonce": "string",
            "name": "string",
            "localName": "string",
            "code": "string",
            "iso3166": "string",
            "decimalDelimiter": "string",
            "thousandDelimiter": "string",
            "dateFormat": "string",
            "measurementUnit": "metric"
          },
          "text": "string"
        }
      ],
      "identifiers": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "system": "string",
          "value": "string",
          "expiredAt": "2019-08-24T14:15:22Z"
        }
      ]
    },
    "dataIsComplete": true,
    "pricingConfigurationCount": 0,
    "hasAgreedToPrice": true
  }'

Responses

Success

Bodyapplication/json
successboolean
messagestring
codeinteger(int32)
businessobject(Business)
Response
application/json
{ "success": true, "message": "string", "code": 0, "business": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "name": "string", "relationType": "string", "alias": "string", "description": "string", "transportLicenseNumber": "string", "eori": "string", "scacCode": "string", "industry": {}, "website": "string", "coc": "string", "vat": "string", "invoiceAttentionTo": "string", "invoiceEmail": "string", "quoteAttentionTo": "string", "quoteEmail": "string", "verified": true, "documents": [], "logo": {}, "banners": [], "locations": [], "identification": [], "identifiers": [], "contactDetails": [], "contactPersons": [], "notes": [], "partOf": [], "administration": {}, "dataIsComplete": true, "pricingConfigurationCount": 0, "hasAgreedToPrice": true } }

Create business

Request

Create a new business

Security
bearer or apiKey or apiSecret
Headers
Authorizationstringrequired
Bodyapplication/jsonrequired
noncestring
namestring
relationTypestring
aliasstring
descriptionstring
transportLicenseNumberstring
eoristring
scacCodestring
industryobject(IndustryModel)
websitestring
cocstring
vatstring
logoobject(File)
bannersArray of objects(FileModel)
locationsArray of objects(LocationModel)
identificationArray of objects(FileModel)
identifiersArray of objects(IdentifierModel)
contactDetailsArray of objects(ContactDetailModel)
notesArray of objects(NoteModel)
partOfArray of objects(Business)
administrationobject(AdministrationModel)
curl -i -X POST \
  https://docs.transportial.com/_mock/apis/business \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "nonce": "string",
    "name": "string",
    "relationType": "string",
    "alias": "string",
    "description": "string",
    "transportLicenseNumber": "string",
    "eori": "string",
    "scacCode": "string",
    "industry": {
      "nonce": "string",
      "uuid": "string",
      "primaryPlatformId": "string",
      "language": {},
      "name": "string",
      "abbreviated": "string",
      "enabled": true
    },
    "website": "string",
    "coc": "string",
    "vat": "string",
    "logo": {
      "nonce": "string",
      "url": "string",
      "path": "string",
      "name": "string",
      "originalName": "string",
      "size": 0,
      "purpose": "string",
      "type": "IMAGE",
      "mimeType": "string",
      "extension": "string",
      "identifiers": [
        {
          "nonce": "string",
          "name": "string",
          "system": "string",
          "value": "string",
          "expiredAt": "2019-08-24T14:15:22Z"
        }
      ],
      "bucket": {
        "nonce": "string",
        "name": "string"
      },
      "uploadedAt": "2019-08-24T14:15:22Z",
      "tempFile": "string"
    },
    "banners": [
      {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "url": "string",
        "path": "string",
        "name": "string",
        "originalName": "string",
        "size": 0,
        "purpose": "string",
        "type": "IMAGE",
        "mimeType": "string",
        "extension": "string",
        "identifiers": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string",
            "system": "string",
            "value": "string",
            "expiredAt": "2019-08-24T14:15:22Z"
          }
        ],
        "bucket": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string"
        },
        "uploadedAt": "2019-08-24T14:15:22Z",
        "tempFile": "string",
        "contentMatrix": [
          [
            "string"
          ]
        ]
      }
    ],
    "locations": [
      {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "type": "warehouse",
        "name": "string",
        "unCode": "string",
        "geoReference": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "type": "addressGeoReference",
          "name": "string",
          "street": "string",
          "houseNumber": "string",
          "houseNumberAddition": "string",
          "postalCode": "string",
          "city": "string",
          "country": "string",
          "hash": "string"
        },
        "administrativeReference": {
          "name": "string",
          "street": "string",
          "houseNumber": "string",
          "houseNumberAddition": "string",
          "postalCode": "string",
          "city": "string",
          "country": "string"
        },
        "contactDetails": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "iban",
            "value": "string",
            "remarks": "string"
          }
        ],
        "openingTimes": {
          "monday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "tuesday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "wednesday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "thursday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "friday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "saturday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          },
          "sunday": {
            "start": "string",
            "end": "string",
            "open": true,
            "day": "2019-08-24",
            "name": "string",
            "description": "string"
          }
        },
        "terminal": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "integrationType": "portbase",
          "ean": "string",
          "bicsCode": "string",
          "quayName": "string",
          "smdgCode": "string",
          "locations": [
            {}
          ],
          "allowedModalities": [
            "string"
          ],
          "terminalSettings": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "loading": true,
              "full": true,
              "modality": "string",
              "sealNumberAllowed": true,
              "reeferAllowed": true,
              "grossWeightAllowed": true,
              "outOfGaugeAllowed": true,
              "dangerousGoodsAllowed": true,
              "cargoCutOffInMinutes": 0
            }
          ],
          "tarRequired": true,
          "roadLicenseIdRequired": true
        },
        "actions": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "load",
            "groupId": "string",
            "name": "string",
            "externalAttributes": {
              "property1": {},
              "property2": {}
            },
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "lifeCycle": "requested",
            "result": {
              "status": "succeeded",
              "remark": "string",
              "reason": "string",
              "results": [
                {
                  "property1": {},
                  "property2": {}
                }
              ],
              "answers": {
                "property1": {},
                "property2": {}
              },
              "attachments": [
                {}
              ]
            },
            "remark": "string",
            "sequenceNr": 0,
            "tripSequenceNr": 0,
            "location": {
              "associationType": "inline",
              "entity": {},
              "description": "string"
            },
            "startTime": "2019-08-24T14:15:22Z",
            "endTime": "2019-08-24T14:15:22Z",
            "eta": "2019-08-24T14:15:22Z",
            "etd": "2019-08-24T14:15:22Z",
            "timeFormat": "string",
            "recurrence": "string",
            "duration": 0,
            "estimatedDuration": 0,
            "inTripOnly": true,
            "actions": [
              {
                "associationType": "inline",
                "entity": {
                  "externalAttributes": {},
                  "actions": [],
                  "documents": [],
                  "contextEvents": [],
                  "attributes": [],
                  "timeslotBookings": [],
                  "identifiers": [],
                  "constraints": [],
                  "communicationRequests": [],
                  "stop": {}
                },
                "description": "string"
              }
            ],
            "communicationRequests": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "description": "string",
                "status": "pending",
                "responseMessage": "string",
                "responseValue": "string"
              }
            ],
            "documents": [
              {
                "associationType": "inline"
              }
            ],
            "contextEvents": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "generalEvent",
                "lifeCycle": "requested",
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "identifiers": [
                  null
                ],
                "dateTime": "2019-08-24T14:15:22Z",
                "vehicle": {},
                "transportEquipment": {},
                "stopAction": {},
                "geoReference": {
                  "language": {}
                }
              }
            ],
            "attributes": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "color": "string"
              }
            ],
            "versionNumber": 0,
            "constraints": [
              {
                "associationType": "inline",
                "entity": {},
                "description": "string"
              }
            ],
            "consignment": {
              "associationType": "inline",
              "entity": {
                "nonce": "string",
                "versionNumber": 0,
                "hasAgreedToPrice": true,
                "orderType": "standard",
                "name": "string",
                "consignmentNr": "string",
                "description": "string",
                "status": "draft",
                "highValueGoods": true,
                "goods": [
                  null
                ],
                "team": {
                  "emailIntegration": {},
                  "vehicleGroups": [],
                  "fleets": [],
                  "features": [],
                  "managers": [],
                  "users": []
                },
                "consignment": {},
                "currentLocation": {},
                "nextAction": {},
                "lastAction": {},
                "lastPlannedAction": {},
                "isPlannedToLastLocation": true,
                "documents": [
                  null
                ],
                "actors": [
                  null
                ],
                "actions": [
                  null
                ],
                "pricingElements": [
                  null
                ],
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "expectedRevenue": {
                  "moneyBuildBlocks": []
                },
                "expectedCost": {
                  "moneyBuildBlocks": []
                },
                "combined": true,
                "type": "string",
                "remark": "string",
                "constraints": [
                  null
                ],
                "identifiers": [
                  null
                ],
                "attributes": [
                  null
                ]
              }
            },
            "isContainmentAction": true,
            "vehicle": {
              "associationType": "inline"
            },
            "transportEquipment": {
              "associationType": "inline"
            },
            "stop": {
              "associationType": "inline",
              "entity": {
                "nonce": "string",
                "versionNumber": 0,
                "type": "load",
                "name": "string",
                "groupId": "string",
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "lifeCycle": "requested",
                "result": {
                  "results": [],
                  "answers": {},
                  "attachments": []
                },
                "remark": "string",
                "sequenceNr": 0,
                "tripSequenceNr": 0,
                "location": {
                  "entity": {}
                },
                "startTime": "2019-08-24T14:15:22Z",
                "endTime": "2019-08-24T14:15:22Z",
                "eta": "2019-08-24T14:15:22Z",
                "etd": "2019-08-24T14:15:22Z",
                "timeFormat": "string",
                "recurrence": "string",
                "duration": 0,
                "estimatedDuration": 0,
                "inTripOnly": true,
                "actions": [
                  {}
                ],
                "documents": [
                  null
                ],
                "contextEvents": [
                  null
                ],
                "attributes": [
                  null
                ],
                "timeslotBookings": [
                  null
                ],
                "identifiers": [
                  null
                ],
                "constraints": [
                  null
                ],
                "communicationRequests": [
                  null
                ],
                "consignment": {},
                "isContainmentAction": true,
                "vehicle": {},
                "transportEquipment": {},
                "stop": {},
                "pin": "string",
                "tar": "string",
                "shipmentLine": {},
                "containmentUUID": "string"
              },
              "description": "string"
            },
            "pin": "string",
            "tar": "string",
            "shipmentLine": {
              "scacCode": "string",
              "smdgCode": "string"
            },
            "containmentUUID": "string"
          }
        ],
        "constraints": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "accessConstraint",
            "name": "string",
            "enforceability": "enforced",
            "description": "string"
          }
        ],
        "pricingElements": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "sequenceNr": 0,
            "quantity": 0,
            "name": "string",
            "description": "string",
            "category": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "creditCode": "string",
              "debitCode": "string",
              "defaultValue": 0.1,
              "enabled": true,
              "tripRevenue": true
            },
            "business": {}
          }
        ],
        "remark": "string",
        "hash": "string",
        "identifiers": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string",
            "system": "string",
            "value": "string",
            "expiredAt": "2019-08-24T14:15:22Z"
          }
        ],
        "externalAttributes": {
          "property1": {},
          "property2": {}
        },
        "dataIsComplete": true
      }
    ],
    "identification": [
      {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "url": "string",
        "path": "string",
        "name": "string",
        "originalName": "string",
        "size": 0,
        "purpose": "string",
        "type": "IMAGE",
        "mimeType": "string",
        "extension": "string",
        "identifiers": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string",
            "system": "string",
            "value": "string",
            "expiredAt": "2019-08-24T14:15:22Z"
          }
        ],
        "bucket": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string"
        },
        "uploadedAt": "2019-08-24T14:15:22Z",
        "tempFile": "string",
        "contentMatrix": [
          [
            "string"
          ]
        ]
      }
    ],
    "identifiers": [
      {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "name": "string",
        "system": "string",
        "value": "string",
        "expiredAt": "2019-08-24T14:15:22Z"
      }
    ],
    "contactDetails": [
      {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "type": "iban",
        "value": "string",
        "remarks": "string"
      }
    ],
    "notes": [
      {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "author": {},
        "name": "string",
        "text": "string"
      }
    ],
    "partOf": [
      {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "name": "string",
        "relationType": "string",
        "alias": "string",
        "description": "string",
        "transportLicenseNumber": "string",
        "eori": "string",
        "scacCode": "string",
        "industry": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "abbreviated": "string",
          "enabled": true
        },
        "website": "string",
        "coc": "string",
        "vat": "string",
        "invoiceAttentionTo": "string",
        "invoiceEmail": "string",
        "quoteAttentionTo": "string",
        "quoteEmail": "string",
        "verified": true,
        "documents": [
          {
            "associationType": "inline",
            "entity": {
              "nonce": "string",
              "description": "string",
              "expiresAt": "2019-08-24T14:15:22Z",
              "fileName": "string",
              "mimeType": "string",
              "encoding": "string",
              "verified": true,
              "isPublic": true,
              "owner": {
                "associationType": "inline"
              },
              "content": {
                "contentType": "data",
                "data": "string"
              },
              "file": {
                "nonce": "string",
                "url": "string",
                "path": "string",
                "name": "string",
                "originalName": "string",
                "size": 0,
                "purpose": "string",
                "type": "IMAGE",
                "mimeType": "string",
                "extension": "string",
                "identifiers": [
                  null
                ],
                "bucket": {},
                "uploadedAt": "2019-08-24T14:15:22Z",
                "tempFile": "string"
              },
              "identifiers": [
                {}
              ],
              "externalAttributes": {
                "property1": {},
                "property2": {}
              },
              "name": "string"
            }
          }
        ],
        "logo": {
          "nonce": "string",
          "url": "string",
          "path": "string",
          "name": "string",
          "originalName": "string",
          "size": 0,
          "purpose": "string",
          "type": "IMAGE",
          "mimeType": "string",
          "extension": "string",
          "identifiers": [
            {
              "nonce": "string",
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ],
          "bucket": {
            "nonce": "string",
            "name": "string"
          },
          "uploadedAt": "2019-08-24T14:15:22Z",
          "tempFile": "string"
        },
        "banners": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string",
            "contentMatrix": [
              [
                "string"
              ]
            ]
          }
        ],
        "locations": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "warehouse",
            "name": "string",
            "unCode": "string",
            "geoReference": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "type": "addressGeoReference",
              "name": "string",
              "street": "string",
              "houseNumber": "string",
              "houseNumberAddition": "string",
              "postalCode": "string",
              "city": "string",
              "country": "string",
              "hash": "string"
            },
            "administrativeReference": {
              "name": "string",
              "street": "string",
              "houseNumber": "string",
              "houseNumberAddition": "string",
              "postalCode": "string",
              "city": "string",
              "country": "string"
            },
            "contactDetails": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "iban",
                "value": "string",
                "remarks": "string"
              }
            ],
            "openingTimes": {
              "monday": {
                "start": "string",
                "end": "string",
                "open": true,
                "day": "2019-08-24",
                "name": "string",
                "description": "string"
              },
              "tuesday": {
                "start": "string",
                "end": "string",
                "open": true,
                "day": "2019-08-24",
                "name": "string",
                "description": "string"
              },
              "wednesday": {
                "start": "string",
                "end": "string",
                "open": true,
                "day": "2019-08-24",
                "name": "string",
                "description": "string"
              },
              "thursday": {
                "start": "string",
                "end": "string",
                "open": true,
                "day": "2019-08-24",
                "name": "string",
                "description": "string"
              },
              "friday": {
                "start": "string",
                "end": "string",
                "open": true,
                "day": "2019-08-24",
                "name": "string",
                "description": "string"
              },
              "saturday": {
                "start": "string",
                "end": "string",
                "open": true,
                "day": "2019-08-24",
                "name": "string",
                "description": "string"
              },
              "sunday": {
                "start": "string",
                "end": "string",
                "open": true,
                "day": "2019-08-24",
                "name": "string",
                "description": "string"
              }
            },
            "terminal": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "integrationType": "portbase",
              "ean": "string",
              "bicsCode": "string",
              "quayName": "string",
              "smdgCode": "string",
              "locations": [
                {}
              ],
              "allowedModalities": [
                "string"
              ],
              "terminalSettings": [
                {
                  "language": {}
                }
              ],
              "tarRequired": true,
              "roadLicenseIdRequired": true
            },
            "actions": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "load",
                "groupId": "string",
                "name": "string",
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "identifiers": [
                  null
                ],
                "lifeCycle": "requested",
                "result": {
                  "results": [],
                  "answers": {},
                  "attachments": []
                },
                "remark": "string",
                "sequenceNr": 0,
                "tripSequenceNr": 0,
                "location": {
                  "entity": {}
                },
                "startTime": "2019-08-24T14:15:22Z",
                "endTime": "2019-08-24T14:15:22Z",
                "eta": "2019-08-24T14:15:22Z",
                "etd": "2019-08-24T14:15:22Z",
                "timeFormat": "string",
                "recurrence": "string",
                "duration": 0,
                "estimatedDuration": 0,
                "inTripOnly": true,
                "actions": [
                  null
                ],
                "communicationRequests": [
                  null
                ],
                "documents": [
                  null
                ],
                "contextEvents": [
                  null
                ],
                "attributes": [
                  null
                ],
                "versionNumber": 0,
                "constraints": [
                  null
                ],
                "consignment": {},
                "isContainmentAction": true,
                "vehicle": {},
                "transportEquipment": {},
                "stop": {},
                "pin": "string",
                "tar": "string",
                "shipmentLine": {},
                "containmentUUID": "string"
              }
            ],
            "constraints": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "accessConstraint",
                "name": "string",
                "enforceability": "enforced",
                "description": "string"
              }
            ],
            "pricingElements": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "sequenceNr": 0,
                "quantity": 0,
                "name": "string",
                "description": "string",
                "category": {
                  "language": {}
                },
                "business": {}
              }
            ],
            "remark": "string",
            "hash": "string",
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "externalAttributes": {
              "property1": {},
              "property2": {}
            },
            "dataIsComplete": true
          }
        ],
        "identification": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string",
            "contentMatrix": [
              [
                "string"
              ]
            ]
          }
        ],
        "identifiers": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string",
            "system": "string",
            "value": "string",
            "expiredAt": "2019-08-24T14:15:22Z"
          }
        ],
        "contactDetails": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "iban",
            "value": "string",
            "remarks": "string"
          }
        ],
        "contactPersons": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "firstName": "string",
            "lastName": "string",
            "position": "string",
            "email": "string",
            "phone": "string",
            "mobilePhone": "string"
          }
        ],
        "notes": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "author": {},
            "name": "string",
            "text": "string"
          }
        ],
        "partOf": [
          {}
        ],
        "administration": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "platforms": [
            {}
          ],
          "name": "string",
          "primary": true,
          "transportOrderPrefix": "string",
          "consignmentPrefix": "string",
          "business": {},
          "currency": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string",
            "short": "string",
            "sign": "string",
            "decimalDelimiter": "string",
            "thousandDelimiter": "string",
            "enabled": true
          },
          "bankAccounts": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "accountHolderName": "string",
              "accountHolderType": "string",
              "bankName": "string",
              "routingNumber": "string",
              "accountNumber": "string",
              "last4": "string",
              "currency": {
                "nonce": "string",
                "name": "string",
                "short": "string",
                "sign": "string",
                "decimalDelimiter": "string",
                "thousandDelimiter": "string",
                "enabled": true
              },
              "country": "string",
              "validation": {},
              "validated": true,
              "identifiers": [
                {
                  "language": {}
                }
              ]
            }
          ],
          "numberFormat": "string",
          "numberLength": 0,
          "dueDays": 0,
          "invoiceNumberIndex": {
            "property1": 0,
            "property2": 0
          },
          "quoteNumberIndex": {
            "property1": 0,
            "property2": 0
          },
          "invoiceSendMessageAutomation": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "messageAutomation",
            "name": "string",
            "description": "string",
            "automationConfig": {
              "triggerType": "trigger",
              "triggerEvent": "afterCreatingTrip",
              "schedule": {
                "integrationSchedulerScheduleValue": 0,
                "integrationSchedulerScheduleType": "seconds",
                "milliseconds": 0
              },
              "uniqueIdentifierSelector": "string",
              "uniqueIdentifierSchedule": {
                "integrationSchedulerScheduleValue": 0,
                "integrationSchedulerScheduleType": "seconds",
                "milliseconds": 0
              },
              "filters": [
                {
                  "filters": []
                }
              ],
              "query": {
                "nonce": "string",
                "fields": [
                  null
                ],
                "entityType": "action",
                "joins": [
                  null
                ],
                "filters": [
                  null
                ],
                "groupBy": [
                  null
                ],
                "having": {},
                "sortFields": [
                  null
                ],
                "sortDirection": "asc",
                "limit": 0,
                "offset": 0
              },
              "recipients": [
                "string"
              ],
              "recipientSelector": "string",
              "toggleForAll": true,
              "channel": "email",
              "manualIntegration": {},
              "includeAttachments": true,
              "documentAttachments": [
                {
                  "reportParameters": {}
                }
              ],
              "subject": "string",
              "currentTriggerPosition": 0,
              "localizedTexts": [
[...]
